Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture
Class ObjectOnScreenCapture

    java.lang.Object
      teamdev.jxcapture.CaptureOperation
          teamdev.jxcapture.DrawableCapture
              teamdev.jxcapture.ObjectOnScreenCapture

public class ObjectOnScreenCapture
extends DrawableCapture

Represents the operation that allows capturing a specified object (like a window or control) located on the screen by means of the mouse cursor.

The active object is an object which is located under the mouse pointer. This object is highlighted with a red frame.

To complete the operation and retrieve the screen shot of a selected object, click the left mouse button or press the Enter key.

To cancel the operation, press the Esc key.

Nested Class Summary
`static class` | `ObjectOnScreenCapture.UIElementRect` Allows displaying the rectangle around a specified UIElement object.

Constructor Summary
`ObjectOnScreenCapture(SelectionController controller)`

Method Summary
`void` | `execute()` Executes the current capture operation.

Methods inherited from class teamdev.jxcapture.DrawableCapture
`cancel, complete, dispose, getController, getDrawableArea, showDrawableArea`

Methods inherited from class teamdev.jxcapture.CaptureOperation
`addCaptureListener, fireCaptureCancelEvent, fireCaptureCompleteEvent, fireCaptureStartEvent, getCaptureListeners, removeCaptureListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectOnScreenCapture

    public ObjectOnScreenCapture(SelectionController controller)

Method Detail

### execute

    public void execute()

  Description copied from class: `CaptureOperation`
  Executes the current capture operation.

  Specified by:
    `execute` in class `CaptureOperation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD